List Resource Types

List Resource Types
List resource types (DEPRECATED).

This endpoint is deprecated. Use /deployment/api/resource-types directly from the Catalog Service instead. List all of the resource types in an organization.

Request
URI
GET
https://vcf-stls-wcp-pod13-137.lvn.broadcom.net/form-service/api/deployment/resource-types
COPY
Query Parameters
string
search
Optional

Search by name and description

integer
page
Optional
Constraints: default: 0

Zero-based page index (0..N)

integer
size
Optional
Constraints: default: 20

The size of the page to be returned

string of array
sort
Optional

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with the list of available resource types

Returns PageResourceTypeSpec of type(s) */*
{
    "totalElements": 0,
    "totalPages": 0,
    "pageable": {
        "paged": false,
        "pageNumber": 0,
        "pageSize": 0,
        "offset": 0,
        "sort": {
            "sorted": false,
            "empty": false,
            "unsorted": false
        },
        "unpaged": false
    },
    "size": 0,
    "content": [
        {
            "id": "string",
            "name": "string",
            "displayName": "string",
            "description": "string",
            "operations": [
                "string"
            ],
            "schema": {
                "type": "string",
                "encrypted": false,
                "additionalProperties": false,
                "title": "string",
                "description": "string",
                "writeOnly": false,
                "readOnly": false,
                "anyOf": [
                    {
                        "type": "string",
                        "encrypted": false,
                        "additionalProperties": false,
                        "title": "string",
                        "description": "string",
                        "writeOnly": false,
                        "readOnly": false,
                        "anyOf": [
                            "ProviderSchemaImpl Object"
                        ],
                        "oneOf": [
                            "ProviderSchemaImpl Object"
                        ],
                        "not": "ProviderSchemaImpl Object",
                        "items": {
                            "value": "ProviderSchemaImpl Object",
                            "singleton": false,
                            "values": [
                                "ProviderSchemaImpl Object"
                            ]
                        },
                        "uniqueItems": false,
                        "maxItems": 0,
                        "minItems": 0,
                        "maximum": "number",
                        "minimum": "number",
                        "properties": {
                            "properties": "ProviderSchemaImpl Object"
                        },
                        "required": [
                            "string"
                        ],
                        "maxProperties": 0,
                        "minProperties": 0,
                        "patternProperties": {
                            "patternProperties": "ProviderSchemaImpl Object"
                        },
                        "maxLength": 0,
                        "minLength": 0,
                        "pattern": "string",
                        "format": "string",
                        "formatMinimum": "string",
                        "formatMaximum": "string",
                        "computed": false,
                        "recreateOnUpdate": false,
                        "ignoreOnUpdate": false,
                        "ignoreCaseOnDiff": false,
                        "dependencies": {
                            "dependencies": [
                                "string"
                            ]
                        },
                        "enum": [
                            {}
                        ],
                        "const": {},
                        "default": {},
                        "$data": "string",
                        "$dynamicDefault": "string",
                        "metadata": {
                            "metadata": {}
                        }
                    }
                ],
                "oneOf": [
                    "ProviderSchemaImpl Object"
                ],
                "not": "ProviderSchemaImpl Object",
                "items": "ObjectOrListProviderSchemaImpl Object",
                "uniqueItems": false,
                "maxItems": 0,
                "minItems": 0,
                "maximum": "number",
                "minimum": "number",
                "properties": {
                    "properties": "ProviderSchemaImpl Object"
                },
                "required": [
                    "string"
                ],
                "maxProperties": 0,
                "minProperties": 0,
                "patternProperties": {
                    "patternProperties": "ProviderSchemaImpl Object"
                },
                "maxLength": 0,
                "minLength": 0,
                "pattern": "string",
                "format": "string",
                "formatMinimum": "string",
                "formatMaximum": "string",
                "computed": false,
                "recreateOnUpdate": false,
                "ignoreOnUpdate": false,
                "ignoreCaseOnDiff": false,
                "dependencies": {
                    "dependencies": [
                        "string"
                    ]
                },
                "enum": [
                    {}
                ],
                "const": {},
                "default": {},
                "$data": "string",
                "$dynamicDefault": "string",
                "metadata": {
                    "metadata": {}
                }
            },
            "providerId": "string",
            "orgId": "string",
            "projectId": "string",
            "restrictToSingleInstance": false,
            "supportedTenancyTypes": [
                "string"
            ]
        }
    ],
    "number": 0,
    "sort": {
        "sorted": false,
        "empty": false,
        "unsorted": false
    },
    "numberOfElements": 0,
    "first": false,
    "last": false,
    "empty": false
}

403

'Forbidden' no resource action viewer access rights

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/form-service/api/deployment/resource-types